/* 
 * Project: 	Trabalho Pratico SDP
 * File:		ClientHandler.java
 * Created on:	11/Abr/2005
 * Description:	
 *
 * (C)2005 Vitor Carreira
 */
package cusco.gui;

import java.net.InetSocketAddress;


/**
 * Interface que define as operaes invocadas pela interface grfica. A 
 * implementao destes mtodos fica a cargo do cliente.
 * 
 * @author	<a href="mailto:vitor.carreira@gmail.com">Vitor Carreira</a>
 * @version 1.0
 * 
 * $Revision$
 * $Date$
 */
public interface ClientHandler {
	/**
	 * Mtodo chamado pela interface grfica quando o cliente clica em Pesquisar.
	 * O mtodo termina quando a operao de pesquisar for considerada concluda.
	 * 
	 * @param login login de acesso ao servio Securitas
	 * @param password senha de acesso ao servio Securitas
	 * @param pattern padro a pesquisar
	 * @param securitas localizao do servio "Securitas" (ip + porto)
	 * @param servers array com a localizao dos servios "Buscas" (ip+porto)
	 */
	public void search(String login, String password, String pattern, 
			InetSocketAddress securitas, InetSocketAddress[] servers, boolean useRegex);

	/**
	 * Mtodo chamado quando o cliente pretende interromper a operao de pesquisa.
	 */
	public void stop();

	
	/**
	 * Mtodo chamado quando o cliente pretende sair.
	 */
	public void close();
}
