/* 
 * Project: 	Trabalho Pratico SDP
 * File:		GUIHandler.java
 * Created on:	11/Abr/2005
 * Description:	
 *
 * (C)2005 Vitor Carreira
 */
package cusco.gui;

/**
 * Interface que define as operaes que permitem ao cliente comunicar com 
 * a interface grfica.
 *  
 * @author	<a href="mailto:vitor.carreira@gmail.com">Vitor Carreira</a>
 * @version 1.0
 * 
 * $Revision$
 * $Date$
 */
public interface GUIHandler {
	/**
	 * Mtodo que apresenta uma caixa de dilogo com uma mensagem de erro.
	 * @param title ttulo da caixa de dilogo
	 * @param message mensagem de erro a mostrar 
	 */
	public void showErrorMessage(String title, String message);
		
	/**
	 * Mtodo que apresenta uma caixa de dilogo com uma mensagem informativa.
	 * @param message mensagem informativa a mostrar 
	 */
	public void showInfoMessage(String message);

	
	/**
	 * Mtodo que adiciona uma entrada  lista de ficheiros/pastas encontrados.
	 * @param entry entrada a adicionar
	 */
	public void addFileEntry(FileInfo entry);	
}
